Subject: Re: bug#40493: installer: Provide a way to select multiple keyboard layouts

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Apr 2020 09:54:54 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Wed, Apr 08, 2020 at 03:22:34PM +0200, Ludovic Courtès wrote:
>> Go for it, thank you!
>
> I added some more heuristics on whether a layout is Latin or not and
> after much testing pushed as 91c231a2223440081426929828a23c7baa0214fd.
> There are still few false positives like non-Kana Japanese layouts
> that are Latin but toggle to U.S.  They can be fixed later.

Awesome!

> More importantly with 7bc71025ccd0fabd739803889825e10341fbabdf I also
> fixed a layout’s empty variant "" not being a choice in the installer.
> The "" variant is the only variant of the Azerbaijani layout providing
> the Latin script Azerbaijan uses since a few decades, so it is
> important.  I hope the code is alright; maybe I should not have just
> pushed, but I believe it is alright.

Good, it’s great you’re paying close attention to this.  The patch seems
reasonable to me.

> P.S. Don’t brag with Arabic support in Guix’ installer just yet
> because Arabs still have to confusedly read from left to right.
>
> https://bugs.gnu.org/35319
>
> But that is something to solve later.

Yeah.

I’ll run the “gui-installed” tests to make sure everything’s is still
fine, then run “make release” and upload files for testing later today.

Thanks a lot, Florian!

Ludo’.